6.0.0-git
2019-03-24

[#8463] No more print-specific PHP code; use CSS print media
Summary No more print-specific PHP code; use CSS print media
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester slusarz (at) horde (dot) org
Created 2009-07-29 (3525 days ago)
Due
Updated 2010-01-13 (3357 days ago)
Assigned
Resolved 2009-08-16 (3507 days ago)
Milestone 3
Patch No

History
2010-01-13 00:10:27 CVS Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #8463: First attempt at converting print view in kronolith to pure CSS

  delete mode 100644 kronolith/themes/graphics/az.png
  delete mode 100644 kronolith/themes/graphics/redbox_spinner.gif
  delete mode 100644 kronolith/themes/graphics/za.png
  delete mode 100644 kronolith/themes/print/screen.css
http://git.horde.org/diff.php/kronolith/config/conf.xml?rt=horde-git&r1=b86d30201d06b8028728a1e63c401c5c17ff3d2b&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/day.php?rt=horde-git&r1=6eced17fa214f579531458e5e5b8b11df5eb1162&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/event.php?rt=horde-git&r1=6eced17fa214f579531458e5e5b8b11df5eb1162&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/js/views.js?rt=horde-git&r1=342c9c84bd64728e7bb89092616407f773ba688a&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/lib/Kronolith.php?rt=horde-git&r1=0cf200b1eaa312b96da25b86c1dcdd0182c40cb1&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/month.php?rt=horde-git&r1=6eced17fa214f579531458e5e5b8b11df5eb1162&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/templates/calendar_titles.inc?rt=horde-git&r1=ac73780e04a62c5cd4b716bc45da34974cd294f7&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/templates/common-header.inc?rt=horde-git&r1=0a70ce52cdd66d0213a84aa542dfe81eecb42fd3&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/themes/graphics/az.png?rt=horde-git&r1=ac73780e04a62c5cd4b716bc45da34974cd294f7&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/themes/graphics/redbox_spinner.gif?rt=horde-git&r1=ac73780e04a62c5cd4b716bc45da34974cd294f7&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/themes/graphics/za.png?rt=horde-git&r1=ac73780e04a62c5cd4b716bc45da34974cd294f7&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/themes/print/screen.css?rt=horde-git&r1=34fde92a2cd38c530ede281396c13937d32f8554&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/themes/screen.css?rt=horde-git&r1=dc852b8b0b85c8329990980d62a40a024a93265b&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/view.php?rt=horde-git&r1=78fd3f9eaf63e8d7c79a458a73e2a14a3ae7ca97&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/week.php?rt=horde-git&r1=6eced17fa214f579531458e5e5b8b11df5eb1162&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/workweek.php?rt=horde-git&r1=6eced17fa214f579531458e5e5b8b11df5eb1162&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
http://git.horde.org/diff.php/kronolith/year.php?rt=horde-git&r1=6eced17fa214f579531458e5e5b8b11df5eb1162&r2=c55a8e85b3baa9773aacc458cb381d9dbf87c8a5
2009-08-16 23:19:43 Michael Slusarz State ⇒ Resolved
 
2009-07-29 23:15:52 Michael Slusarz Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ No more print-specific PHP code; use CSS print media
Queue ⇒ Kronolith
Assigned to Horde DevelopersHorde Developers
Milestone ⇒ 3
Patch ⇒ No
Reply to this comment
All print formatting should be done at the HTML/CSS level, not the PHP level.

Saved Queries